#-- copyright
# Nepenthes is a free and open project management software.
# Copyright (C) 2024 The Nirvati developers
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License version 3.
#
# Nepenthes is a fork of OpenProject. The copyright follows:
#
# Copyright (C) 2012-2024 the OpenProject GmbH
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License version 3.
#
# OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
# Copyright (C) 2006-2013 Jean-Philippe Lang
# Copyright (C) 2010-2013 the ChiliProject Team
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
# See COPYRIGHT and LICENSE files for more details.
#++
zh-CN:
  js:
    github_integration:
      work_packages:
        tab_name: "GitHub"
      tab_header:
        title: "拉取请求"
        copy_menu:
          label: Git 代码段
          description: 将 Git 代码段复制到剪贴板
        git_actions:
          branch_name: 分支名称
          commit_message: 提交消息
          cmd: 使用空提交创建分支
          title: Git 快速代码段
          copy_success: '✅ 已复制！'
          copy_error: '❌ 复制失败！'
      tab_prs:
        empty: '尚未链接任何拉取请求。请使用拉取请求描述中的代码 <code>OP#%{wp_id}</code> 链接现有拉取请求，或者创建新的拉取请求。'
      github_actions: 操作
      pull_requests:
        message: "由 %{github_user_link} 创作的 %{repository_link} 的拉取请求 #%{pr_number} %{pr_link} 已被%{pr_state}。"
        merged_message: "%{repository_link} 的拉取请求 #%{pr_number} %{pr_link} 已被%{github_user_link} %{pr_state}。"
        referenced_message: "由 %{github_user_link} 创作的 %{repository_link} 的拉取请求 #%{pr_number} %{pr_link} 引用了此工作包。"
        states:
          opened: '已打开'
          closed: '关闭'
          draft: '草稿'
          merged: '已合并'
          ready_for_review: '标记为可供审核'
